/*
   netrik -- The ANTRIK Internet Viewer
   Copyright (C) Olaf D. Buddenhagen AKA antrik, et al (see AUTHORS)
   Published under the GNU GPL; see LICENSE for details.
*/
/*
 * readline.c -- Readline replacement
 *
 * (C) 2002 antrik
 *
 * This file defines the fake_readline() function declared in readline.h
 *
 * It is only compiled if Readline is not available.
 */
#include "config.h"
#ifndef READLINE

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "readline.h"

char *fake_readline(prompt)
const char	*prompt;
{
   char	buf[1024];    /* user input */
   char	*input;    /* dynamic string to return */

   printf("%s",prompt); fflush(stdout);

   fgets(buf, sizeof(buf), stdin);
   buf[strlen(buf)-1]=0;    /* discard trailing newline returned by fgets() */

   input=strdup(buf);
   if(input==NULL) {
      fprintf(stderr, "memory allocation error while storing input\n");
      exit(1);
   }

   return input;
}

#endif
