/*
   netrik -- The ANTRIK Internet Viewer
   Copyright (C) Olaf D. Buddenhagen AKA antrik, et al (see AUTHORS)
   Published under the GNU GPL; see LICENSE for details.
*/
/*
 * readline.h -- handle missing Readline library
 *
 * (C) 2002 antrik
 *
 * If compiled with Readline, this file simply includes the original Readline
 * headers. Otherwise, it maps readline() to fake_readline(), which is a
 * primitive replacement; and history() to nothing.
 */
#include "config.h"
#ifdef READLINE
   #include <readline/history.h>
   #include <readline/readline.h>
#else
   #define readline(prompt) fake_readline(prompt)
   #define add_history(string)

char *fake_readline(const char *prompt);
#endif
